## AgsOscXmlrpcServer

AgsOscXmlrpcServer — the OSC XMLRPC server

## Stability Level

Stable, unless otherwise indicated

## Functions

void | ags_osc_xmlrpc_server_add_websocket_handler ()
void | ags_osc_xmlrpc_server_add_default_controller ()
AgsOscXmlrpcServer * | ags_osc_xmlrpc_server_new ()

## Properties

AgsController * | osc-xmlrpc-controller | Read / Write
AgsServer * | xmlrpc-server | Read / Write

## Types and Values

#define | AGS_OSC_XMLRPC_SERVER_DEFAULT_CHUNK_SIZE

## Object Hierarchy

        GObject
        ╰── AgsOscServer
            ╰── AgsOscXmlrpcServer

## Includes

    #include <ags/audio/osc/ags_osc_xmlrpc_server.h>

## Description

AgsOscXmlrpcServer your OSC XMLRPC server.

## Functions

### ags_osc_xmlrpc_server_add_websocket_handler ()

    void
    ags_osc_xmlrpc_server_add_websocket_handler
                                   (AgsOscXmlrpcServer *osc_xmlrpc_server,
                                    char *path,
                                    char *origin,
                                    char **protocols,
                                    SoupServerWebsocketCallback callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy);

Add websocket handler to soup server.

#### Parameters

osc_xmlrpc_server | the AgsOscXmlrpcServer |
path | the path |
origin | the origin |
protocols | the protocls as string vector |
callback | the callback |
user_data | user data |
destroy | destroy notify function |

Since: 3.0.0

### ags_osc_xmlrpc_server_add_default_controller ()

    void
    ags_osc_xmlrpc_server_add_default_controller
                                   (AgsOscXmlrpcServer *osc_xmlrpc_server);

### ags_osc_xmlrpc_server_new ()

    AgsOscXmlrpcServer *
    ags_osc_xmlrpc_server_new ();

Creates a new instance of AgsOscXmlrpcServer

#### Returns

the new AgsOscXmlrpcServer

Since: 3.0.0

## Types and Values

### AGS_OSC_XMLRPC_SERVER_DEFAULT_CHUNK_SIZE

    #define AGS_OSC_XMLRPC_SERVER_DEFAULT_CHUNK_SIZE (16384)

## Property Details

### The `“osc-xmlrpc-controller”` property

      “osc-xmlrpc-controller”    AgsController *

The assigned AgsOscXmlrpcController.

Owner: AgsOscXmlrpcServer

Flags: Read / Write

Since: 3.0.0

### The `“xmlrpc-server”` property

      “xmlrpc-server”            AgsServer *

The assigned AgsServer.

Owner: AgsOscXmlrpcServer

Flags: Read / Write

Since: 3.0.0